using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VisimBuilder
{

    public enum TransType { Movement, Rotable, Scalable };

    public partial class TransTypePicker : Form
    {
        public TransTypePicker()
        {
            InitializeComponent();
            TransformationType = TransType.Movement;
        }

        private void TypeChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
                TransformationType = TransType.Movement;
            else if (radioButton2.Checked)
                TransformationType = TransType.Rotable;
            else if (radioButton3.Checked)
                TransformationType = TransType.Scalable;
        }

        public TransType TransformationType { get; set; }
    }
}
